Get conversation detail
curl --request GET \
--url https://akapulu.com/api/conversations/{conversation_session_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://akapulu.com/api/conversations/{conversation_session_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://akapulu.com/api/conversations/{conversation_session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "7f1e7f76-b38d-4d03-b8f8-2570ce8d4e6d",
"created_at": "2026-03-10T18:10:02.221Z",
"created_at_text": "Mar 10, 2026 06:10 PM",
"duration_text": "4 minutes",
"avatar": {
"id": "66666666-7777-8888-9999-000000000000",
"href": "/catalog/66666666-7777-8888-9999-000000000000/",
"profile_image_url": "https://signed-avatar-image-url"
},
"scenario_id": "11111111-2222-3333-4444-555555555555",
"recording": {
"has_recording": true,
"status_text": "Recording ready",
"is_ready": true
},
"transcript_rows": [
{
"role": "user",
"content": "Hi, I want to learn more about Akapulu Labs.",
"node_id": "Greeting"
},
{
"role": "assistant",
"content": "Absolutely. What are you hoping to build?",
"node_id": "Greeting"
}
]
}{
"error": "<string>",
"error_code": "AUTH_MISSING"
}{
"error": "ConversationSession not found"
}Transcripts and recordings
Get Conversation Detail
Fetch conversation metadata, recording status, avatar info, and transcript rows for a conversation session.
GET
/
conversations
/
{conversation_session_id}
Get conversation detail
Fetch conversation metadata, recording status, avatar info, and transcript rows for a conversation session you own.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Conversation session ID.
Response
Conversation detail fetched successfully
ISO-8601 creation timestamp.
Human-readable local creation timestamp.
Human-readable conversation duration.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

